var gulp = require("gulp"),
	less = require("gulp-less"),
	cleanCss = require("gulp-clean-css");

gulp.task("compile_less", function () {
	return gulp.src('wwwroot/css/**/*.less')
		.pipe(less())
        .pipe(cleanCss())
		.pipe(gulp.dest('wwwroot/css'));
});

gulp.task("watch", function () {
	gulp.watch("wwwroot/css/**/*.less", gulp.series("compile_less"));
});